import { http } from '@/utils/http/axios';

/**
 * @description: 消息列表
 */
export function getMessageProfile(params?) {
  return http.request({
    url: '/message/profile',
    method: 'GET',
    params,
  });
}
/**
 * @description: 设置消息已读
 */
export function setRead(data?) {
  return http.request({
    url: '/message/setRead',
    method: 'POST',
    data,
  });
}
/**
 * @description: 根据ID获取详情
 */
export function getMessageDetail(id) {
  return http.request({
    url: '/message/detail/' + id,
    method: 'get',
  });
}
/**
 * @description: 删除消息
 */
export function messageDelete(id) {
  return http.request({
    url: '/message/delete/' + id,
    method: 'DELETE',
  });
}
/**
 * @description: 批量删除消息
 */
export function messageBatchDelete(data: any) {
  return http.request({
    url: '/message/batchDelete',
    method: 'DELETE',
    data,
  });
}
